Subject: Re: linux-next: block/drbd tree build failure

From: Jens Axboe <[email-masked]>
Date: Mon, 5 Oct 2009 08:31:38 +0200

On Mon, Oct 05 2009, Stephen Rothwell wrote:
> Hi Jens,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> drivers/block/drbd/drbd_req.c: In function '_drbd_start_io_acct':
> drivers/block/drbd/drbd_req.c:43: error: subscripted value is neither array nor pointer
> drivers/block/drbd/drbd_req.c: In function '_drbd_end_io_acct':
> drivers/block/drbd/drbd_req.c:56: error: subscripted value is neither array nor pointer
> 
> I reported a similar error against the dbd tree, which was fixed, but now
> the commit that caused that error has been reverted and thus we get
> this :-(
> 
> I have reverted the drbd commits from the block tree for today.

That's probably my fault, not drbd. I moved it to a new branch since it
isn't going into 2.6.32, and perhaps dropped that fix along the way.
I'll look into it.

-- 
Jens Axboe